"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const _1 = __importDefault(require("."));
let pause;
beforeEach(() => {
    pause = testing_1.ElementTest.create(_1.default);
    (0, testing_1.cleanTest)();
});
afterEach(async () => {
    await pause.dispose();
});
test('Should pause infinity', async () => {
    const start = Date.now();
    await pause.init();
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThan(500);
});
test('Should pause infinity', async () => {
    const start = Date.now();
    await pause.init();
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThan(500);
});
test('Should sleep for a time', async () => {
    const start = Date.now();
    await pause.init(500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThan(500);
});
test('Should sleep for a time and show title', async () => {
    const start = Date.now();
    await pause.init({
        title: 'sleep 500ms',
        duration: 500
    });
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThan(500);
    expect(pause.label).toBe('sleep 500ms');
});
//# sourceMappingURL=pause.spec.js.map